Bug 308310 - No thumbnails are created in the album view, rebuilding thumbnails doesn't work
Summary: No thumbnails are created in the album view, rebuilding thumbnails doesn't work
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Thumbs (show other bugs)
Version: 2.9.0
Platform: Microsoft Windows Microsoft Windows
: NOR major (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-12 21:53 UTC by boogiedownde
Modified: 2017-07-19 13:52 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description boogiedownde 2012-10-12 21:53:09 UTC
There are no thumbnails. The album-tree is shown, although sometimes digikam tells me there are 0 pictures in the albums, and sometimes it shows the correct number of pictures. Either way, no thumbnails. If I choose "rebuild thumbnails", nothing happens. 
I saw some thumbnails once, but only in one album, shortly after they disappeared for good.

Reproducible: Always

Steps to Reproduce:
1.Open digikam
2.hope that it doesn't crash (which happens from time to time)
3.it opens correctly, but shows no thumbnails


Expected Results:  
it should have shown thumbnails

WinXP SP3, library with about 16.000 pictures
Comment 1 boogiedownde 2012-10-18 18:22:09 UTC
I'd like to add: The pictures are saved on external usb harddisc. digiKam 2.8.0. showed the same bug as 2.9.0.
Comment 2 Marcel Wiesweg 2012-10-23 19:24:24 UTC
It shows no entries (empty view) or no thumbnails (view with n entries, each having a rectangle, filename/rating/tags display as you like, but empty space where the thumbnail of the picture should be)?
Comment 3 boogiedownde 2012-11-04 13:00:04 UTC
It shows no entries - nothing. Only the albums are shown correctly on the left side, with the number of the pictures each album contains in brackets. On the right there is nothing, no jpgs, no tiffs, no raw files, no rectangles/filenames/ratings/tags.
Sorry for the late reply, I'll try to pay more attention to my mails...
Comment 4 Marcel Wiesweg 2012-11-04 17:29:07 UTC
This is typically a problem with the ioslaves, installation, finding and starting them by the KDE runtime.
Comment 5 boogiedownde 2012-11-05 09:48:01 UTC
So it is a problem only the KDE people could solve?
Comment 6 boogiedownde 2012-12-16 15:31:02 UTC
Any update?
Comment 7 Ananta Palani 2013-02-03 22:04:55 UTC
Git commit 57b269e2d6dfd8f0c11d482ec12d3e9c126c1cd1 by Ananta Palani.
Committed on 03/02/2013 at 23:04.
Pushed by palani into branch 'master'.

Fix thumbnails not shown in Windows and excessive use of virtual memory / handles which may cause crashes and other unexpected behavior by removing file monitoring and only monitoring directories for changes. These problems might still occur with very large numbers of folders but could not be confirmed. However, medium to large collections should no longer cause a problem.
Related: bug 290962, bug 297793, bug 310252, bug 310865, bug 312422, bug 312999, bug 291917, bug 295445, bug 297686
FIXED-IN: 3.0.0

M  +9    -2    digikam/album/albumwatch.cpp

http://commits.kde.org/digikam/57b269e2d6dfd8f0c11d482ec12d3e9c126c1cd1
Comment 8 Ananta Palani 2013-02-03 22:17:55 UTC
I have made a beta compilation of digiKam 3.0.0 for you to test whether the commit I just made fixes your problem:

   https://docs.google.com/file/d/0B4Esh3gAgC9QcW5nS04zQWVsNGs/edit?usp=sharing

Can you give it a try and let me know how it works for you?